{"openapi":"3.0.1","info":{"title":"MS SAT Calendar - Aura","description":"Administrative calendar module.Manage events, reminders, participants and visibility.","version":"1.0.0"},"servers":[{"url":"https://securemscalendard.mrdev.mx","description":"Public"}],"security":[{"bearerAuth":[]}],"paths":{"/api/v1/visibility/{id}":{"put":{"tags":["visibility-controller"],"operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VisibilityRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventVisibilityModel"}}}}}},"delete":{"tags":["visibility-controller"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/reminders/{id}":{"put":{"tags":["reminders-controller"],"operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemindersRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventReminderModel"}}}}}},"delete":{"tags":["reminders-controller"],"operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/participants/{id}":{"put":{"tags":["participants-controller"],"operationId":"update_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParticipantsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventParticipantsModel"}}}}}},"delete":{"tags":["participants-controller"],"operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/examples/{id}":{"get":{"tags":["example-controller"],"operationId":"findById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExampleModel"}}}}}},"put":{"tags":["example-controller"],"operationId":"update_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateExampleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExampleModel"}}}}}},"delete":{"tags":["example-controller"],"operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/events/{id}":{"get":{"tags":["cal-event-controller"],"operationId":"findById_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventResponse"}}}}}},"put":{"tags":["cal-event-controller"],"operationId":"replace","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplaceCalEventRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventResponse"}}}}}},"delete":{"tags":["cal-event-controller"],"operationId":"delete_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}},"patch":{"tags":["cal-event-controller"],"operationId":"update_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCalEventRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventResponse"}}}}}}},"/api/v1/event-types/{id}":{"get":{"tags":["cal-event-type-controller"],"operationId":"findById_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventTypeResponse"}}}}}},"put":{"tags":["cal-event-type-controller"],"operationId":"replace_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplaceCalEventTypeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventTypeResponse"}}}}}},"delete":{"tags":["cal-event-type-controller"],"operationId":"delete_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}},"patch":{"tags":["cal-event-type-controller"],"operationId":"update_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCalEventTypeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventTypeResponse"}}}}}}},"/api/v1/visibility":{"get":{"tags":["visibility-controller"],"operationId":"findAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventVisibilityModel"}}}}}},"post":{"tags":["visibility-controller"],"operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VisibilityRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventVisibilityModel"}}}}}}},"/api/v1/tasks":{"get":{"tags":["Calendar tasks (3W)"],"operationId":"findAll_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalTaskModel"}}}}}},"post":{"tags":["Calendar tasks (3W)"],"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalTaskRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskModel"}}}}}}},"/api/v1/tasks/{id}/comments":{"get":{"tags":["Calendar tasks (3W)"],"operationId":"findComments","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalTaskCommentModel"}}}}}},"post":{"tags":["Calendar tasks (3W)"],"operationId":"createComment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalTaskCommentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskCommentModel"}}}}}}},"/api/v1/reminders":{"get":{"tags":["reminders-controller"],"operationId":"findAll_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventReminderModel"}}}}}},"post":{"tags":["reminders-controller"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemindersRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventReminderModel"}}}}}}},"/api/v1/participants":{"get":{"tags":["participants-controller"],"operationId":"findAll_3","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventParticipantsModel"}}}}}},"post":{"tags":["participants-controller"],"operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParticipantsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventParticipantsModel"}}}}}}},"/api/v1/internal/jobs/task-planeacion-sync/run":{"post":{"tags":["job-trigger-controller"],"operationId":"runTaskPlaneacionSync","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/internal/jobs/reminders/run":{"post":{"tags":["job-trigger-controller"],"operationId":"runReminders","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/internal/jobs/overdue-survey/run":{"post":{"tags":["job-trigger-controller"],"operationId":"runOverdueSurvey","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/internal/jobs/overdue-regular/run":{"post":{"tags":["job-trigger-controller"],"operationId":"runOverdueRegular","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/internal/jobs/birthday-sync/run":{"post":{"tags":["job-trigger-controller"],"operationId":"runBirthdaySync","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseVoid"}}}}}}},"/api/v1/examples":{"get":{"tags":["example-controller"],"operationId":"findAll_4","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListExampleModel"}}}}}},"post":{"tags":["example-controller"],"operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateExampleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseExampleModel"}}}}}}},"/api/v1/events":{"get":{"tags":["cal-event-controller"],"operationId":"findAll_5","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventResponse"}}}}}},"post":{"tags":["cal-event-controller"],"operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCalEventRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventResponse"}}}}}}},"/api/v1/events/series":{"post":{"tags":["cal-event-controller"],"operationId":"createSeries","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCalEventSeriesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventSeriesResult"}}}}}}},"/api/v1/event-types":{"get":{"tags":["cal-event-type-controller"],"operationId":"findAll_6","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventTypeResponse"}}}}}},"post":{"tags":["cal-event-type-controller"],"operationId":"create_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCalEventTypeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalEventTypeResponse"}}}}}}},"/api/v1/daily-logs/{dailyLogId}/close":{"post":{"tags":["Semáforo de actividades"],"operationId":"close","parameters":[{"name":"dailyLogId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalDailyLogCloseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/daily-logs/{dailyLogId}/avance":{"post":{"tags":["Semáforo de actividades"],"operationId":"sendAvance","parameters":[{"name":"dailyLogId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalDailyLogCloseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/daily-logs/open":{"post":{"tags":["Semáforo de actividades"],"operationId":"open","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalDailyLogOpenRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/daily-logs/items/{itemId}/reopen":{"post":{"tags":["Semáforo de actividades"],"operationId":"reopenItem","parameters":[{"name":"itemId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalDailyLogCloseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/tasks/{id}":{"get":{"tags":["Calendar tasks (3W)"],"operationId":"findById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskModel"}}}}}},"delete":{"tags":["Calendar tasks (3W)"],"operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskModel"}}}}}},"patch":{"tags":["Calendar tasks (3W)"],"operationId":"update_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalTaskRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskModel"}}}}}}},"/api/v1/tasks/{id}/team-edit":{"patch":{"tags":["Calendar tasks (3W)"],"operationId":"updateFromTeam","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalTaskRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskModel"}}}}}}},"/api/v1/tasks/{id}/comments/{commentId}":{"patch":{"tags":["Calendar tasks (3W)"],"operationId":"updateComment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalTaskCommentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalTaskCommentModel"}}}}}}},"/api/v1/events/series/{seriesId}":{"delete":{"tags":["cal-event-controller"],"operationId":"deleteSeries","parameters":[{"name":"seriesId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseInteger"}}}}}},"patch":{"tags":["cal-event-controller"],"operationId":"updateSeries","parameters":[{"name":"seriesId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCalEventSeriesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseInteger"}}}}}}},"/api/v1/daily-logs/items/{itemId}/semaforo":{"patch":{"tags":["Semáforo de actividades"],"operationId":"setSemaforo","parameters":[{"name":"itemId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalDailyLogSemaforoRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/daily-logs/items/{itemId}/avance":{"patch":{"tags":["Semáforo de actividades"],"operationId":"setAvance","parameters":[{"name":"itemId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CalDailyLogAvanceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/visibility/{event_id}":{"get":{"tags":["visibility-controller"],"operationId":"findByEventId","parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventVisibilityModel"}}}}}}},"/api/v1/tasks/range":{"get":{"tags":["Calendar tasks (3W)"],"operationId":"findByRange","parameters":[{"name":"start","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"end","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalTaskModel"}}}}}}},"/api/v1/reminders/{due}":{"get":{"tags":["reminders-controller"],"operationId":"findDue","parameters":[{"name":"due","in":"path","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventReminderModel"}}}}}}},"/api/v1/participants/{userId}":{"get":{"tags":["participants-controller"],"operationId":"findByUserId","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalEventParticipantsModel"}}}}}}},"/api/v1/events/availability":{"get":{"tags":["cal-event-controller"],"operationId":"checkAvailability","parameters":[{"name":"startDatetime","in":"query","required":true,"schema":{"type":"string"}},{"name":"endDatetime","in":"query","required":true,"schema":{"type":"string"}},{"name":"userIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"excludeEventId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListParticipantAvailabilityResponse"}}}}}}},"/api/v1/daily-logs/team":{"get":{"tags":["Semáforo de actividades"],"operationId":"getTeam","parameters":[{"name":"fecha","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalDailyLogLeaderItemModel"}}}}}}},"/api/v1/daily-logs/team/history":{"get":{"tags":["Semáforo de actividades"],"operationId":"getTeamHistory","parameters":[{"name":"desde","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"hasta","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalDailyLogLeaderItemModel"}}}}}}},"/api/v1/daily-logs/me":{"get":{"tags":["Semáforo de actividades"],"operationId":"getMine","parameters":[{"name":"fecha","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseCalDailyLogModel"}}}}}}},"/api/v1/daily-logs/me/history":{"get":{"tags":["Semáforo de actividades"],"operationId":"getMyHistory","parameters":[{"name":"desde","in":"query","required":true,"schema":{"type":"string","format":"date"}},{"name":"hasta","in":"query","required":true,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListCalDailyLogModel"}}}}}}}},"components":{"schemas":{"VisibilityRequest":{"required":["eventId","isVisible","userId"],"type":"object","properties":{"eventId":{"type":"integer","format":"int32"},"userId":{"type":"integer","format":"int32"},"isVisible":{"type":"boolean"}}},"ApiResponseCalEventVisibilityModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalEventVisibilityModel"}}},"CalEventVisibilityModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"eventId":{"type":"integer","format":"int32"},"userId":{"type":"integer","format":"int32"},"isVisible":{"type":"boolean"},"isDeleted":{"type":"boolean"},"deletedAt":{"type":"string","format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"RemindersRequest":{"required":["eventId","remindAt"],"type":"object","properties":{"eventId":{"type":"integer","format":"int32"},"remindAt":{"type":"string","format":"date-time"},"sent":{"type":"boolean"}}},"ApiResponseCalEventReminderModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalEventReminderModel"}}},"CalEventReminderModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"eventId":{"type":"integer","format":"int32"},"remindAt":{"type":"string","format":"date-time"},"sent":{"type":"boolean"},"isDeleted":{"type":"boolean"},"deletedAt":{"type":"string","format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"ParticipantsRequest":{"required":["eventId"],"type":"object","properties":{"eventId":{"type":"integer","format":"int32"},"userId":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"}}},"ApiResponseCalEventParticipantsModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalEventParticipantsModel"}}},"CalEventParticipantsModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"eventId":{"type":"integer","format":"int32"},"userId":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"isDeleted":{"type":"boolean"},"deletedAt":{"type":"string","format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"CreateExampleRequest":{"required":["name"],"type":"object","properties":{"name":{"type":"string"}}},"ApiResponseExampleModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ExampleModel"}}},"ExampleModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"active":{"type":"boolean"}}},"ReplaceCalEventRequest":{"required":["endDatetime","eventTypeId","isActive","isPublic","isVirtual","startDatetime","statusId","title"],"type":"object","properties":{"eventTypeId":{"type":"integer","format":"int32"},"title":{"maxLength":255,"minLength":0,"type":"string"},"startDatetime":{"type":"string","format":"date-time"},"endDatetime":{"type":"string","format":"date-time"},"statusId":{"type":"integer","format":"int32"},"isVirtual":{"type":"boolean"},"isPublic":{"type":"boolean"},"isActive":{"type":"boolean"},"description":{"type":"string"},"location":{"maxLength":255,"minLength":0,"type":"string"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"}}},"ApiResponseCalEventResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalEventResponse"}}},"CalEventResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"eventTypeId":{"type":"integer","format":"int32"},"title":{"type":"string"},"description":{"type":"string"},"startDatetime":{"type":"string","format":"date-time"},"endDatetime":{"type":"string","format":"date-time"},"location":{"type":"string"},"isVirtual":{"type":"boolean"},"isPublic":{"type":"boolean"},"statusId":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"},"createdByUserId":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"isActive":{"type":"boolean"},"seriesId":{"type":"integer","format":"int32"}}},"ReplaceCalEventTypeRequest":{"required":["code","isActive","name"],"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":100,"minLength":0,"type":"string"},"isActive":{"type":"boolean"}}},"ApiResponseCalEventTypeResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalEventTypeResponse"}}},"CalEventTypeResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"code":{"type":"string"},"name":{"type":"string"},"systemManaged":{"type":"boolean"},"autoGenerated":{"type":"boolean"},"isActive":{"type":"boolean"}}},"CalTaskRequest":{"required":["descripcion","fechaCumplir"],"type":"object","properties":{"descripcion":{"type":"string"},"leaderUserId":{"type":"integer","format":"int32"},"responsibleUserIds":{"type":"array","items":{"type":"integer","format":"int32"}},"fechaSolicitud":{"type":"string","format":"date"},"fechaCumplir":{"type":"string","format":"date"},"estatus":{"pattern":"PLANEACION|PENDIENTE|EN_PROCESO|CERRADA","type":"string"},"prioridad":{"pattern":"URGENTE|ALTA|MEDIA|BAJA","type":"string"},"isActive":{"type":"boolean"}}},"ApiResponseCalTaskModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalTaskModel"}}},"CalTaskModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"descripcion":{"type":"string"},"leaderUserId":{"type":"integer","format":"int32"},"responsibleUserId":{"type":"integer","format":"int32"},"responsibleUserIds":{"type":"array","items":{"type":"integer","format":"int32"}},"fechaSolicitud":{"type":"string","format":"date"},"fechaCumplir":{"type":"string","format":"date"},"fechaCierre":{"type":"string","format":"date"},"estatus":{"type":"string"},"prioridad":{"type":"string"},"ultimoComentarioFecha":{"type":"string","format":"date-time"},"createdByUserId":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"isActive":{"type":"boolean"}}},"CalTaskCommentRequest":{"required":["comentario"],"type":"object","properties":{"comentario":{"maxLength":2000,"minLength":0,"type":"string"}}},"ApiResponseCalTaskCommentModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalTaskCommentModel"}}},"CalTaskCommentModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"taskId":{"type":"integer","format":"int32"},"comentario":{"type":"string"},"createdByUserId":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"ApiResponseVoid":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"object"}}},"CreateCalEventRequest":{"required":["endDatetime","eventTypeId","startDatetime","statusId","title"],"type":"object","properties":{"eventTypeId":{"type":"integer","format":"int32"},"title":{"maxLength":255,"minLength":0,"type":"string"},"startDatetime":{"type":"string","format":"date-time"},"endDatetime":{"type":"string","format":"date-time"},"statusId":{"type":"integer","format":"int32"},"description":{"type":"string"},"location":{"maxLength":255,"minLength":0,"type":"string"},"isVirtual":{"type":"boolean"},"isPublic":{"type":"boolean"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"}}},"CreateCalEventSeriesRequest":{"required":["endDatetime","eventTypeId","recurrenceType","startDatetime","statusId","title"],"type":"object","properties":{"eventTypeId":{"type":"integer","format":"int32"},"title":{"maxLength":255,"minLength":0,"type":"string"},"startDatetime":{"type":"string","format":"date-time"},"endDatetime":{"type":"string","format":"date-time"},"statusId":{"type":"integer","format":"int32"},"recurrenceType":{"pattern":"WEEKLY|MONTHLY","type":"string"},"weekdays":{"maxItems":6,"minItems":0,"type":"array","items":{"maximum":6,"minimum":1,"type":"integer","format":"int32"}},"dayOfMonth":{"maximum":31,"minimum":1,"type":"integer","format":"int32"},"occurrenceCount":{"maximum":60,"minimum":1,"type":"integer","format":"int32"},"endsOn":{"type":"string","format":"date"},"description":{"type":"string"},"location":{"maxLength":255,"minLength":0,"type":"string"},"isVirtual":{"type":"boolean"},"isPublic":{"type":"boolean"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"},"participantUserIds":{"type":"array","items":{"type":"integer","format":"int32"}},"visibilityUserIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiResponseCalEventSeriesResult":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalEventSeriesResult"}}},"CalEventSeriesResult":{"type":"object","properties":{"seriesId":{"type":"integer","format":"int32"},"generatedCount":{"type":"integer","format":"int32"},"firstStart":{"type":"string","format":"date-time"},"lastStart":{"type":"string","format":"date-time"}}},"CreateCalEventTypeRequest":{"required":["code","name"],"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":100,"minLength":0,"type":"string"}}},"CalDailyLogCloseRequest":{"required":["fecha"],"type":"object","properties":{"fecha":{"type":"string","format":"date"}}},"ApiResponseCalDailyLogModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CalDailyLogModel"}}},"CalDailyLogItemModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"taskId":{"type":"integer","format":"int32"},"descripcion":{"type":"string"},"fechaSolicitud":{"type":"string","format":"date"},"fechaCumplir":{"type":"string","format":"date"},"estatus":{"type":"string"},"semaforo":{"type":"string"},"porcentaje":{"type":"integer","format":"int32"},"orden":{"type":"integer","format":"int32"}}},"CalDailyLogModel":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"fecha":{"type":"string","format":"date"},"openedAt":{"type":"string","format":"date-time"},"avanceAt":{"type":"string","format":"date-time"},"closedAt":{"type":"string","format":"date-time"},"items":{"type":"array","items":{"$ref":"#/components/schemas/CalDailyLogItemModel"}}}},"CalDailyLogOpenRequest":{"required":["fecha"],"type":"object","properties":{"fecha":{"type":"string","format":"date"}}},"UpdateCalEventRequest":{"type":"object","properties":{"eventTypeId":{"type":"integer","format":"int32"},"title":{"maxLength":255,"minLength":0,"type":"string"},"description":{"type":"string"},"startDatetime":{"type":"string","format":"date-time"},"endDatetime":{"type":"string","format":"date-time"},"location":{"maxLength":255,"minLength":0,"type":"string"},"isVirtual":{"type":"boolean"},"isPublic":{"type":"boolean"},"statusId":{"type":"integer","format":"int32"},"customerId":{"type":"integer","format":"int32"},"isActive":{"type":"boolean"},"supplierId":{"type":"integer","format":"int32"}}},"UpdateCalEventSeriesRequest":{"type":"object","properties":{"eventTypeId":{"type":"integer","format":"int32"},"title":{"maxLength":255,"minLength":0,"type":"string"},"description":{"type":"string"},"location":{"maxLength":255,"minLength":0,"type":"string"},"isVirtual":{"type":"boolean"},"customerId":{"type":"integer","format":"int32"},"supplierId":{"type":"integer","format":"int32"}}},"ApiResponseInteger":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"integer","format":"int32"}}},"UpdateCalEventTypeRequest":{"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":100,"minLength":0,"type":"string"},"isActive":{"type":"boolean"}}},"CalDailyLogSemaforoRequest":{"required":["fecha","semaforo"],"type":"object","properties":{"semaforo":{"pattern":"ROJO|AMARILLO|VERDE|NARANJA","type":"string"},"fecha":{"type":"string","format":"date"}}},"CalDailyLogAvanceRequest":{"required":["fecha","porcentaje"],"type":"object","properties":{"porcentaje":{"maximum":100,"minimum":0,"type":"integer","format":"int32"},"fecha":{"type":"string","format":"date"}}},"ApiResponseListCalEventVisibilityModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalEventVisibilityModel"}}}},"ApiResponseListCalTaskModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalTaskModel"}}}},"ApiResponseListCalTaskCommentModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalTaskCommentModel"}}}},"ApiResponseListCalEventReminderModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalEventReminderModel"}}}},"ApiResponseListCalEventParticipantsModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalEventParticipantsModel"}}}},"ApiResponseListExampleModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ExampleModel"}}}},"ApiResponseListCalEventResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalEventResponse"}}}},"ApiResponseListParticipantAvailabilityResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantAvailabilityResponse"}}}},"ParticipantAvailabilityResponse":{"type":"object","properties":{"userId":{"type":"integer","format":"int32"},"username":{"type":"string"},"conflictingEventId":{"type":"integer","format":"int32"},"conflictingEventTitle":{"type":"string"},"startDatetime":{"type":"string","format":"date-time"},"endDatetime":{"type":"string","format":"date-time"}}},"ApiResponseListCalEventTypeResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalEventTypeResponse"}}}},"ApiResponseListCalDailyLogLeaderItemModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalDailyLogLeaderItemModel"}}}},"CalDailyLogLeaderItemModel":{"type":"object","properties":{"dailyLogId":{"type":"integer","format":"int32"},"responsibleUserId":{"type":"integer","format":"int32"},"leaderUserId":{"type":"integer","format":"int32"},"fecha":{"type":"string","format":"date"},"openedAt":{"type":"string","format":"date-time"},"avanceAt":{"type":"string","format":"date-time"},"closedAt":{"type":"string","format":"date-time"},"itemId":{"type":"integer","format":"int32"},"taskId":{"type":"integer","format":"int32"},"descripcion":{"type":"string"},"fechaSolicitud":{"type":"string","format":"date"},"fechaCumplir":{"type":"string","format":"date"},"estatus":{"type":"string"},"prioridad":{"type":"string"},"semaforo":{"type":"string"},"porcentaje":{"type":"integer","format":"int32"},"createdByUserId":{"type":"integer","format":"int32"}}},"ApiResponseListCalDailyLogModel":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CalDailyLogModel"}}}}},"securitySchemes":{"bearerAuth":{"type":"http","name":"bearerAuth","scheme":"bearer","bearerFormat":"JWT"}}}}